package com.tiesheng.ding.pojos;

import java.util.ArrayList;
import java.util.List;

public class DingUserListVo {

    private Integer nextCursor;
    private Boolean hasMore;
    private List<DingUserInfo> list;


    /**
     * 失败数据
     *
     * @return
     */
    public static DingUserListVo fail() {
        DingUserListVo listVo = new DingUserListVo();
        listVo.setHasMore(false);
        listVo.setNextCursor(0);
        listVo.setList(new ArrayList<>());
        return listVo;
    }

    ///////////////////////////////////////////////////////////////////////////
    // setter\getter
    ///////////////////////////////////////////////////////////////////////////

    public Integer getNextCursor() {
        return nextCursor;
    }

    public void setNextCursor(Integer nextCursor) {
        this.nextCursor = nextCursor;
    }

    public Boolean getHasMore() {
        return hasMore;
    }

    public void setHasMore(Boolean hasMore) {
        this.hasMore = hasMore;
    }

    public List<DingUserInfo> getList() {
        return list;
    }

    public void setList(List<DingUserInfo> list) {
        this.list = list;
    }
}
